## autotalent 0.2

=== Makefile ===
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program; if not, write to the Free Software
#   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
#   Note: this Makefile was modified from the version distributed with
#   TAP-plugins, an excellent collection by Tom Szilagyi.
#   http://tap-plugins.sf.net


#####################################################################
# PLEASE CHANGE THIS to your preferred installation location!
#
# Change this if you want to install somewhere else. In particular

INSTALL_PLUGINS_DIR	=	/usr/lib64/ladspa/

# NO EDITING below this line is required
# if all you want to do is install and use the plugins.
#####################################################################



# GENERAL

CC		=	gcc
CFLAGS		=	-I. -O3 -Wall -fomit-frame-pointer -fstrength-reduce -funroll-loops -ffast-math -c -fPIC -DPIC
LDFLAGS		=	-nostartfiles -shared -Wl,-Bsymbolic -lc -lm -lrt

PLUGINS		=	autotalent.so

all: $(PLUGINS)

# RULES TO BUILD PLUGINS FROM C CODE

autotalent.so: autotalent.c ladspa.h
	$(CC) $(CFLAGS) autotalent.c mayer_fft.c
	$(CC) $(LDFLAGS) -o autotalent.so autotalent.o mayer_fft.o

# OTHER TARGETS

install: targets
	-mkdir -p		$(INSTALL_PLUGINS_DIR)
	cp *.so 		$(INSTALL_PLUGINS_DIR)

targets:	$(PLUGINS)

always:	

clean:
	-rm -f `find . -name "*.so"`
	-rm -f `find . -name "*.o"`
	-rm -f `find . -name "*~"`

=== debian/changelog ===
autotalent (0.2-6build1) noble; urgency=high

  * No change rebuild for frame pointers (and time_t).

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 18 Apr 2024 19:58:25 +0200

autotalent (0.2-6) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Set Vcs-* to salsa.debian.org
  * Use debhelper-compat instead of debian/compat

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Olivier Humbert ]
  * Update copyright (http -> https)

  [ Ross Gammon ]
  * Use my Debian email address
  * Bump standards version, no changes required
  * Enable all hardening options
  * Move to debhelper compat 12
  * Rules requires root = no
  * Add an upstream metadata file

 -- Ross Gammon <rossgammon@debian.org>  Sun, 23 Feb 2020 17:37:42 +0100

autotalent (0.2-5) unstable; urgency=medium

  * Change uploader from Alessio to me & update Vcs URLs
  * Improve package long description
    Thanks to Justin B Rye (Closes: #785260)
  * Bump standards version, no changes required
  * Fix watch file

 -- Ross Gammon <rossgammon@mail.dk>  Wed, 17 Feb 2016 22:17:03 +0100

autotalent (0.2-4) unstable; urgency=low

  * Add patch to prevent SIGSEGV. (LP: #1299667)
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Wed, 18 Jun 2014 13:12:11 +0100

autotalent (0.2-3) unstable; urgency=low

  * debian/patches/0001-buildsystem.patch
    - Improve upstream buildsystem to let it accept CFLAGS, CPPFLAGS and
      LDFLAGS set by the environment.
  * Rewrite debian/copyrigh to copyright format 1.0.
  * Bump DH compatibility to automatically enable hardening flags.
  * Update Homepage.
  * Fix VCS URLs.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Wed, 09 Oct 2013 22:41:09 +0100

autotalent (0.2-2) unstable; urgency=low

  * Fix small typo in the short description (Closes: #603289).

 -- Alessio Treglia <alessio@debian.org>  Fri, 19 Nov 2010 00:18:43 +0100

autotalent (0.2-1) unstable; urgency=low

  * Initial release. (Closes: #600730)

 -- Alessio Treglia <alessio@debian.org>  Tue, 02 Nov 2010 12:01:01 +0100

=== debian/control ===
Source: autotalent
Section: sound
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Ross Gammon <rossgammon@debian.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 12),
 ladspa-sdk
Standards-Version: 4.5.0
Homepage: http://tombaran.info/autotalent.html
Vcs-Git: https://salsa.debian.org/multimedia-team/autotalent.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/autotalent

Package: autotalent
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Provides:
 ladspa-plugin
Description: pitch correction LADSPA plugin
 Autotalent is a real-time pitch correction plugin. Users can specify
 the notes that a singer is allowed to hit, and Autotalent makes sure
 that they do. Autotalent may be used for more exotic effects, like
 the Cher / T-Pain effect, making your voice sound like a chiptune,
 adding artificial vibrato, or messing with your formants. Autotalent
 can also be used as a harmonizer that knows how to sing in the scale
 with you. Or, you can use Autotalent to change the scale of a melody
 between major and minor or to change the musical mode.
 .
 Autotalent was designed from the ground up to process musical melodies,
 whether sung or played on some kind of instrument. As long as you
 give it a monophonic source (i.e. a melody in a single, 1-channel
 track), you can usually expect pretty good results. So this means that
 if you're in the business of processing vocal harmonies, you should
 apply it to each monophonic vocal part separately. If in the spirit of
 experimentation you're daring enough to try tuning or pitch shifting
 an entire chord using one instance of the plugin (again not what it's
 meant for), you'll hear gritty nastiness.

=== debian/watch ===
version=3
opts=uversionmangle=s/_/./g;s/^(\S+\.Linux(?:64|32))/0.0.$1/ \
http://tombaran.info/autotalent.html \
(?:|.*/)autotalent(?:[_\-]v?|)(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)
